// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: GroupUnsmoothedData.proto

package ru.omnicomm.pegasus.messaging.data.fuel;

public final class GroupUnsmoothedDataParser {
  private GroupUnsmoothedDataParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class GroupUnsmoothedData extends
      com.google.protobuf.GeneratedMessage {
    // Use GroupUnsmoothedData.newBuilder() to construct.
    private GroupUnsmoothedData() {
      initFields();
    }
    private GroupUnsmoothedData(boolean noInit) {}
    
    private static final GroupUnsmoothedData defaultInstance;
    public static GroupUnsmoothedData getDefaultInstance() {
      return defaultInstance;
    }
    
    public GroupUnsmoothedData getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 50];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 50;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional bool valid = 100 [default = true];
    public static final int VALID_FIELD_NUMBER = 100;
    private boolean hasValid;
    private boolean valid_ = true;
    public boolean hasValid() { return hasValid; }
    public boolean getValid() { return valid_; }
    
    // repeated int32 intValue = 201 [packed = true];
    public static final int INTVALUE_FIELD_NUMBER = 201;
    private java.util.List<java.lang.Integer> intValue_ =
      java.util.Collections.emptyList();
    public java.util.List<java.lang.Integer> getIntValueList() {
      return intValue_;
    }
    public int getIntValueCount() { return intValue_.size(); }
    public int getIntValue(int index) {
      return intValue_.get(index);
    }
    private int intValueMemoizedSerializedSize = -1;
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasValid()) {
        output.writeBool(100, getValid());
      }
      if (getIntValueList().size() > 0) {
        output.writeRawVarint32(1610);
        output.writeRawVarint32(intValueMemoizedSerializedSize);
      }
      for (int element : getIntValueList()) {
        output.writeInt32NoTag(element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasValid()) {
        size += com.google.protobuf.CodedOutputStream
          .computeBoolSize(100, getValid());
      }
      {
        int dataSize = 0;
        for (int element : getIntValueList()) {
          dataSize += com.google.protobuf.CodedOutputStream
            .computeInt32SizeNoTag(element);
        }
        size += dataSize;
        if (!getIntValueList().isEmpty()) {
          size += 2;
          size += com.google.protobuf.CodedOutputStream
              .computeInt32SizeNoTag(dataSize);
        }
        intValueMemoizedSerializedSize = dataSize;
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.intValue_ != java.util.Collections.EMPTY_LIST) {
          result.intValue_ =
            java.util.Collections.unmodifiableList(result.intValue_);
        }
        ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData other) {
        if (other == ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasValid()) {
          setValid(other.getValid());
        }
        if (!other.intValue_.isEmpty()) {
          if (result.intValue_.isEmpty()) {
            result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
          }
          result.intValue_.addAll(other.intValue_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 800: {
              setValid(input.readBool());
              break;
            }
            case 1608: {
              addIntValue(input.readInt32());
              break;
            }
            case 1610: {
              int length = input.readRawVarint32();
              int limit = input.pushLimit(length);
              while (input.getBytesUntilLimit() > 0) {
                addIntValue(input.readInt32());
              }
              input.popLimit(limit);
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 50];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 50;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional bool valid = 100 [default = true];
      public boolean hasValid() {
        return result.hasValid();
      }
      public boolean getValid() {
        return result.getValid();
      }
      public Builder setValid(boolean value) {
        result.hasValid = true;
        result.valid_ = value;
        return this;
      }
      public Builder clearValid() {
        result.hasValid = false;
        result.valid_ = true;
        return this;
      }
      
      // repeated int32 intValue = 201 [packed = true];
      public java.util.List<java.lang.Integer> getIntValueList() {
        return java.util.Collections.unmodifiableList(result.intValue_);
      }
      public int getIntValueCount() {
        return result.getIntValueCount();
      }
      public int getIntValue(int index) {
        return result.getIntValue(index);
      }
      public Builder setIntValue(int index, int value) {
        result.intValue_.set(index, value);
        return this;
      }
      public Builder addIntValue(int value) {
        if (result.intValue_.isEmpty()) {
          result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
        }
        result.intValue_.add(value);
        return this;
      }
      public Builder addAllIntValue(
          java.lang.Iterable<? extends java.lang.Integer> values) {
        if (result.intValue_.isEmpty()) {
          result.intValue_ = new java.util.ArrayList<java.lang.Integer>();
        }
        super.addAll(values, result.intValue_);
        return this;
      }
      public Builder clearIntValue() {
        result.intValue_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedData)
    }
    
    static {
      defaultInstance = new GroupUnsmoothedData(true);
      ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedData)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\031GroupUnsmoothedData.proto\022\'ru.omnicomm" +
      ".pegasus.messaging.data.fuel\"\201\001\n\023GroupUn" +
      "smoothedData\022\020\n\010sourceId\030\001 \002(\005\022\027\n\013messag" +
      "eType\030\002 \001(\005:\00250\022\023\n\013messageTime\030\003 \002(\005\022\023\n\005" +
      "valid\030d \001(\010:\004true\022\025\n\010intValue\030\311\001 \003(\005B\002\020\001" +
      "BD\n\'ru.omnicomm.pegasus.messaging.data.f" +
      "uelB\031GroupUnsmoothedDataParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_fuel_GroupUnsmoothedData_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "Valid", "IntValue", },
              ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.class,
              ru.omnicomm.pegasus.messaging.data.fuel.GroupUnsmoothedDataParser.GroupUnsmoothedData.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
